Migration Observations
Tatum v3 Blockchain API Endpoints have become deprecated in favour of the new unified v4 Blockchains APIBlockchains API. Find the migration changelog notice HERE
While most v3 endpoints keep a 1:1 behaviour with the response schema, a few of them experience breaking changes.
⚠️ Endpoints With Breaking Changes
GET /v3/algorand/account/balance/{address}Explore DocsGET /v3/celo/account/balance/{address}Explore DocsGET /v3/bitcoin/infoExplore DocsGET /v3/bcash/infoExplore DocsGET /v3/dogecoin/infoExplore DocsGET /v3/dogecoin/block/{hash}Explore DocsGET /v3/dogecoin/transaction/{hash}Explore DocsGET /v3/dogecoin/transaction/address/{address}Explore DocsGET /v3/dogecoin/transaction/address/batchExplore DocsGET /v3/litecoin/infoExplore DocsGET /v3/litecoin/block/{hash}Explore DocsGET /v3/litecoin/transaction/{hash}Explore DocsGET /v3/litecoin/transaction/address/{address}Explore DocsGET /v3/litecoin/transaction/address/batchExplore DocsGET /v3/ada/infoExplore DocsGET /v3/ada/account/{address}Explore DocsGET /v3/xrp/infoExplore DocsGET /v3/xrp/account/{account}/balanceExplore DocsGET /v3/xlm/infoExplore DocsGET /v3/xlm/account/{account}Explore DocsGET /v3/tron/infoExplore DocsGET /v3/tron/account/{address}Explore DocsGET /v3/vet/block/currentExplore Docs
Major Field Updates
- Dogecoin transactions: Field names have changed
vin→inputsvout→outputs
Endpoint Structure Changes
- Chain-specific endpoints are now unified with chain specified as a parameter
- Some endpoints previously using path parameters now use query parameters
- Address-based queries may have different parameter structures
Pending Clarifications
- Mempool transaction support for certain chains (e.g., BTC)
- Address-based transaction query behavior
- Legacy
/v3/vet/transaction/{hash}/receiptfunctionality in v4
Updated about 11 hours ago